#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_with	python3 # CPython 3.x module (enable when useful - now scripts use python2 shebang)

Summary:	Ethernet settings Python 2 bindings
Summary(pl.UTF-8):	Wiązania Pythona 2 do ustawień sieci Ethernet
Name:		python-inet_diag
Version:	0.2.1
Release:	1
License:	GPL v2
Group:		Libraries/Python
Source0:	https://www.kernel.org/pub/software/libs/python/python-inet_diag/%{name}-%{version}.tar.xz
# Source0-md5:	7a071c167e8c2a4e3a1839fb33889417
URL:		https://rt.wiki.kernel.org/index.php/Tuna
BuildRequires:	python-devel >= 2
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
%endif
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 2 bindings for the inet_diag kernel interface, that allows
querying AF_INET socket state.

%description -l pl.UTF-8
Wiązania Pythona 2 do interfejsu jądra inet_diag, pozwalającego na
odpytywanie stanu gniazd AF_INET.

%package -n python3-inet_diag
Summary:	Ethernet settings Python 3 bindings
Summary(pl.UTF-8):	Wiązania Pythona 3 do ustawień sieci Ethernet
Group:		Libraries/Python

%description -n python3-inet_diag
Python 3 bindings for the inet_diag kernel interface, that allows
querying AF_INET socket state.

%description -n python3-inet_diag -l pl.UTF-8
Wiązania Pythona 3 do interfejsu jądra inet_diag, pozwalającego na
odpytywanie stanu gniazd AF_INET.

%prep
%setup -q

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

%if %{with python2}
%py_install
%endif

%if %{with python3}
%py3_install
%endif

cp -p psk.py $RPM_BUILD_ROOT%{_sbindir}/psk
cp -p pss.py $RPM_BUILD_ROOT%{_sbindir}/pss

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/psk
%attr(755,root,root) %{_sbindir}/pss
%attr(755,root,root) %{py_sitedir}/inet_diag.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/inet_diag-%{version}-py*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-inet_diag
%defattr(644,root,root,755)
%attr(755,root,root) %{py3_sitedir}/inet_diag.cpython-*.so
%{py3_sitedir}/inet_diag-%{version}-py*.egg-info
%endif
%changelog
* Sat May 21 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-inet_diag.git;a=log;h=master

* Sat May 21 2016 Jakub Bogusz <qboosh@pld-linux.org> dc11b3a
- updated to 0.2.1

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 1cc4d09
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 09c549c
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e4bd550
- automatic change: use py_build/py_install macros

* Sun Oct 12 2014 Jakub Bogusz <qboosh@pld-linux.org> 7bab230
- tar.xz deps

* Sun Oct 12 2014 Jakub Bogusz <qboosh@pld-linux.org> f5bd979
- new

